﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography.X509Certificates;
using System.Web;
using System.Web.Mvc;
using Vclub.Models;
using Vclub.ViewModels;

namespace Vclub.Controllers
{
    public class MoviesController : Controller
    {
        // GET: Movies/Random
        public ActionResult Random()
        {
            var Movie = new Movie()
            {
                Name = "Body Guard!."
            };

            var Customers = new List<Customer>
            {
                new Customer {Name = "Customer 1"},
                new Customer {Name = "Customer 2"}
            };
            //
            var viewModel = new RandomMovieViewModel
            {
                Movie = Movie,
                Customers = Customers
            };

            //ViewData["Movie"] = Movie;
            //ViewBag.Movie = Movie;
            //
            return View(viewModel);
        }


        //
        //return Content("Hello Everybody!.");
        //return HttpNotFound();
        //return new EmptyResult();
        //return RedirectToAction("Index", "Home", new {page =1,sort="Name"});
        //
        public ActionResult Edit(int id)
        {
            return Content("id= "+id);
        }

        //movies
        public ActionResult Index(int? PageIndex,string SortBy)
        {
            if (!PageIndex.HasValue)
                PageIndex = 1;

            if (string.IsNullOrWhiteSpace(SortBy))
                SortBy = "Name";
            //
            return Content(string.Format("pageindex={0}&sortby={1}", PageIndex, SortBy));
        }
        //

        [Route("Movies/released/{year}/{month:regex(\\d{2}):range(1,12)}")]
        public ActionResult ByReleaseDate(int year,int month)
        {
            return Content(year + "/" + month);
        }


    }
}
